Siproxd Users Guide
Prev | Chapter 2. Building and Installation | Next

# 2.2. Compiling and Installing

It is quite simple. If you have a more-or-less standard installation and libosip2 installed at a standard location, it should be sufficient to do:

    ./configure
    make
    make install

This will install siproxd into /usr/local/. If you wish to install it into another location, specify `--prefix=<myprefix>` when running `./configure`. If you have installed libosip2 in an non-standard location use `--with-libosip-prefix=<libosipprefix>` to tell configure where to find libosip2 (e.g. `--with-libosip-prefix=$HOME/lib`).

Common features for ./configure:

    --enable-static                 build statically linked executable
    --with-libosip-prefix=DIR       use libosip2 from DIR/include and DIR/lib
    --with-extra-includes=DIR       adds non standard include paths
    --with-extra-libs=DIR           adds non standard library paths

Edit `/usr/etc/siproxd.conf` according to your situation, at least configure `if_inbound` and `if_outbound`. They must represent the interface names (e.g. on Linux: ppp0, eth1) for the inbound and outbound interfaces.

Edit `/usr/etc/siproxd_passwd.cfg` if you enable client authentication.

Start siproxd:

    # siproxd

Prev | Home | Next
Building and Installation | Up | Configuration